Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Desktop-effects, problem with ebuilds
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Plumbo
n00b
n00b


Joined: 01 Feb 2008
Posts: 46

PostPosted: Tue Aug 05, 2008 8:38 pm    Post subject: Desktop-effects, problem with ebuilds Reply with quote

Hi,

I've been running compiz-fusion 0.7.4 with no problems for some time, but I thought I should give 0.7.6 a try.

I added the desktop-effects to overlays using layman and tried to update, but I get some strange errors:

Calculating world dependencies /
!!! All ebuilds that could satisfy "~x11-plugins/compiz-fusion-plugins-main-0.7.6" have been masked.
!!! One of the following masked packages is required to complete your request:
- x11-plugins/compiz-fusion-plugins-main-0.7.6 (masked by: EAPI 2_pre1, invalid: SLOT is undefined)

The current version of portage supports EAPI '1'. You must upgrade to a
newer version of portage before EAPI masked packages can be installed.

For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.
(dependency required by "x11-wm/compiz-fusion-0.7.6" [ebuild])



Can anyone explain to me what I need to do here? Install a newer version of portage? Seems strange....

I should say that my current version of compiz-fusion was installed using a local overlay where I downloaded the ebuilds manually, which I now have deleted.

Thanks for your time!

/Plumbo
Back to top
View user's profile Send private message
coolsnowmen
Veteran
Veteran


Joined: 30 Jun 2004
Posts: 1479
Location: No.VA

PostPosted: Tue Aug 05, 2008 8:49 pm    Post subject: Reply with quote

post
Code:
emerge --info

_________________
emerge: there are no ebuilds to satisfy "moo"
Back to top
View user's profile Send private message
Plumbo
n00b
n00b


Joined: 01 Feb 2008
Posts: 46

PostPosted: Tue Aug 05, 2008 9:40 pm    Post subject: Reply with quote

Here it is:

Portage 2.1.4.4 (default-linux/x86/2007.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.25-gentoo-r7 i686)
=================================================================
System uname: 2.6.25-gentoo-r7 i686 Intel(R) Core(TM)2 Quad CPU Q6600 @ 2.40GHz
Timestamp of tree: Tue, 05 Aug 2008 19:45:03 +0000
ccache version 2.4 [enabled]
app-shells/bash: 3.2_p33
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python: 2.5.2-r6
dev-util/ccache: 2.4-r7
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox: 1.2.18.1-r2
sys-devel/autoconf: 2.13, 2.61-r2
sys-devel/automake: 1.4_p6, 1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils: 2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool: 1.5.26
virtual/os-headers: 2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=nocona -mfpmath=sse -mmmx -msse -msse2 -msse3 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=nocona -mfpmath=sse -mmmx -msse -msse2 -msse3 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://lug.mtu.edu/gentoo/ ftp://pandemonium.tiscali.de/pub/gentoo/"
LINGUAS="en no"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa arts berkdb cairo cdr clamav cli cracklib crypt cups dbus dri dvd dvdr dvdread eds emboss encode esd evo fam fbcon ffmpeg flac fortran gdbm gif glitz gpm gstreamer gtk hal hddtemp iconv id3tag iptables isdnlog java javascript jpeg kde kerberos ldap lm_sensors mad midi mikmod mmx mmxext mp3 mp510 mpeg mudflap ncurses nls nptl nptlonly nvidia ogg opengl openmp pam pcre pdf perl png pppd python qt3 qt3support qt4 quicktime readline real reflection sdl session spell spl sse sse2 sse3 ssl ssse3 svg tcpd tiff truetype type1 unicode usb vorbis win32codecs x264 x86 xcomposite xft xml xorg xulrunner xv xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en no" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset: CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Back to top
View user's profile Send private message
coolsnowmen
Veteran
Veteran


Joined: 30 Jun 2004
Posts: 1479
Location: No.VA

PostPosted: Tue Aug 05, 2008 9:49 pm    Post subject: Reply with quote

http://www.google.com/search?hl=en&q=EAPI+2_pre1&btnI=I'm+Feeling+Lucky

Code:
[I] sys-apps/portage   Available versions:  [P]2.0.51.22-r3 [P]2.1.1-r2 2.1.4.4 ~2.1.5.6 ~2.2_rc1 ~2.2_rc5 ~2.2_rc6


looks like you need 2.2, probably rc6 should be a good choice
_________________
emerge: there are no ebuilds to satisfy "moo"
Back to top
View user's profile Send private message
Plumbo
n00b
n00b


Joined: 01 Feb 2008
Posts: 46

PostPosted: Tue Aug 05, 2008 10:12 pm    Post subject: Reply with quote

I'm not sure I like the idea of using a version of portage which hasn't been tested fully yet, so I guess I'll stick to the old 0.7.4 version of compiz.

Perhaps anyone know of an overlay or ebuilds of compiz-fusion that works with the currently stable portage version?
Back to top
View user's profile Send private message
Naib
Watchman
Watchman


Joined: 21 May 2004
Posts: 5712
Location: Removed by Neddy

PostPosted: Tue Aug 05, 2008 10:57 pm    Post subject: Reply with quote

portage-2.2 is very good and is stable all but in archname.
you should give it a go, it shouldn't be too far off going stable anyway
_________________
The best argument against democracy is a five-minute conversation with the average voter
Great Britain is a republic, with a hereditary president, while the United States is a monarchy with an elective king
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum